Subject: Re: [bug#51538] First Patch Submit Ever: Additions to the Cookbook Documentation

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Thu, 11 Nov 2021 18:04:06 +0100

On Mon, Nov 08, 2021 at 02:04:12PM -0500, Julien Lepiller wrote:
> Le 8 novembre 2021 12:18:50 GMT-05:00, "pelzflorian (Florian Pelz)" <[email-masked]> a écrit :
> >Bash always enables readline as far as I can see.  Perhaps you used a
> >system that disabled C-l in the ~/.inputrc file, which would also
> >disable it for a Guix-installed bash?  Some Slackware users complain
> >about non-working C-l on stackoverflow.  Anyway I will leave this
> >patch for experienced guix commiters to decide; IMHO the clear command
> >should not be needed with Guix and the cookbook so far contains only
> >what can be done with Guix itself.  Even though I like the idea of a
> >FAQ section and am happy about new Guix contributors such as you.
> I think this is fine. The cookbook should recommend using Ctrl-L and
> suggest you can install clear with the ncurses package. We get that
> question from time to time, so I think it belongs to a FAQ :)

One might expect terminal clearing with C-l or clear in an operating
system manual, but is role of Guix to be an operating system?

I’d think not, the manual/cookbook would blow up too much.

A command to search what package provides the program clear is what
belongs in the manual.

Regards,
Florian